Sparky 2022.10

Pomoc drogowa Warszawa

Została wydana nowa wersja SparkyLinux z linii (semi-)rolling 2022.10, która bazuje na Debianie z gałęzi testowej „Bookworm”.

SparkyLinux to dystrybucja Linuksa zbudowana na i w pełni kompatybilna z Debianem. Posiada preinstalowany bogaty zestaw programów, kodeków i wtyczek umożliwiający swobodną pracę na komputerze.

Zmiany:
– pakiety zostały zaktualizowane z repozytoriów testowych Debiana i Sparky w dniu 5 października 2022
– Linux kernel 5.19.11 (6.0.0 & 5.15.72-LTS & 4.9.330-LTS49 w sparky unstable repos)
– kompilator GCC v12 zainstalowany , GCC v11 usunięty z obrazów iso
– dodany nowy motyw 'sparky7-theme’ oferujący wsparcie dla GTK2/3/4 oraz jasny i ciemny motyw do wyboru
– dodany ciemny motyw do pakietu 'sparky5-lxqt-theme’ dla pulpitu LXQt
– Lightdm został zamieniony przez SDDM session/login manager we wszyskich pulpitach bazujących na GTK; KDE i LXQt posiadają SDDM tak jak poprzednio; dodany nowymotyw SDDM 'sddm-theme2-sparky’ do wszystkich nośników live; starszy motyw 'sddm-theme-sparky’ jest również zainstalowany; tak więc wszystkie nośniki live z linii rolling używają teraz SDDM
– 'sparky-upgrade’ może być teraz używane jako krótkie polecenie: 'spu’ (SParkyUpgrade)
– LXQt 1.1.0
– Openbox 3.6.1
– KDE Plasma 5.25.5
– Xfce 4.16
– MATE 1.26.0
– Calamares 3.2.61
– Firefox 105.0.2
– Thunderbird 102.3.0
– VLC 3.0.17
– LibreOffice 7.4.1
– GRUB 2.06

Naprawione:
– LXQt: nm-tray ma mały błąd, który wywołuje xterm w celu edycji połączenia sieciowego, ale qterminal jest instalowany jako jego zależność; więc przebudowany nm-tray instaluje i wywołuje teraz spterm

Reinstalacja systemu nie jest wymagana, jeśli posiadasz zainstalowany Sparky rolling; wykonaj pełną aktualizację systemu:

sparky-upgrade
lub krótką komendą:
spu
lub:
sudo apt update && sudo apt full-upgrade
lub za pośrednictwem graficznego narzędzia do aktualizacji systemu.

Obrazy live/install SparkyLinux Rolling można pobrać za strony: https://linuxiarze.pl/download_sparky_rolling/

Release information in English: https://sparkylinux.org/sparky-2022-10/

 

2 thoughts on “Sparky 2022.10

  • 6 października 2022 at 17:33
    Permalink

    Na płytce instalacyjnej sparky-2022.10-lxqt, LXQT jest w wersji 0.16. Czy po zainstalowaniu trzeba coś zrobić żeby zaktualizowało się do wersji 1.1 ?
    Pozdrawiam.

    Reply
    • 6 października 2022 at 20:55
      Permalink

      Dzięki za info, już wysłałem obraz 2022.01.1 LXQt 1.1.0

      Reply

Dodaj komentarz

Twój adres e-mail nie zostanie opublikowany. Wymagane pola są oznaczone *

Witryna jest chroniona przez reCAPTCHA i Google Politykę Prywatności oraz obowiązują Warunki Korzystania z Usługi.